package com.pcloud.book.timecontrol.mapper;


import com.pcloud.book.timecontrol.entity.TimeControlReplyMessage;
import com.pcloud.book.timecontrol.dto.ReplyMessageDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component("replyMessageMapper")
public interface TimeControlReplyMessageMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TimeControlReplyMessage record);

    int insertSelective(TimeControlReplyMessage record);

    TimeControlReplyMessage selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TimeControlReplyMessage record);

    int updateByPrimaryKey(TimeControlReplyMessage record);

    void batchInsert(@Param("list") List<TimeControlReplyMessage> list);

    void deleteByItemId(Integer taskItemId);

    List<TimeControlReplyMessage> list4TaskItem(@Param("taskItemId") Integer taskItemId, @Param("replyType") Integer replyType);

    List<TimeControlReplyMessage> getByTaskItemId(Integer taskItemId);

    List<ReplyMessageDto> list4TaskItemList(@Param("taskItemIds") List<Integer> taskItemIds, @Param("replyType") Integer replyType);
}